TRACKLINT(1)

NAME
tracklint - checks and fixes minor track metadata errors automatically

SYNOPSIS
tracklint [OPTIONS] <track 1> [track 2] ....

DESCRIPTION

tracklint takes a list of audio tracks, examines their metadata for common problems and suggests fixes for them. If directories are given, tracklint searches them recursively and suggests fixes for any audio tracks found. tracklint can also perform any suggested metadata fixes if requested, and undo any performed fixes if an undo database was used.

OPTIONS

-h, --help
    show a list of options and exit

--fix
    perform tracklint's suggested fixes on the given audio tracks

-V, --verbose=VERBOSITY
    The level of output to display. Choose between 'normal', 'quiet' and 'debug'.

FIXES
The following fixes are performed on each track:

• Leading zeroes are stripped from track number and album number fields. For example, a track number value of "01" is changed to "1".

• If the track number field is between 100 and 999, the leading digit becomes the album number and trailing two digits becomes the track number. For example, a track number value of "213" results in an album number of "2" and a track number of "13".

• If the performer name is the same as the artist name, the redundant performer name field is removed.

• Leading or trailing whitespace is removed from fields. For example, a track name value of "Some Title " becomes "Some Title".

• Empty fields are removed.

• Embedded images with invalid metadata fields such as width or height are fixed.

• ID3v2 and ID3v1 tags are stripped from FLAC files.

• FLAC files with misordered STREAMINFO blocks are reordered.

• A WAVEFORMATEXTENSIBLE_CHANNEL_MASK tag is added to multi-channel or 24 bits-per-sample FLAC files if one isn't present in its metadata.

SEE ALSO
audiotools-config(1), audiotools.cfg(5), cdda2track(1), cddainfo(1), cddaplay(1), coverdump(1), covertag(1), coverview(1), dvda2track(1), dvdainfo(1), track2cdda(1), track2track(1), trackcat(1), trackcmp(1), trackinfo(1), tracklength(1), trackplay(1), trackrename(1), tracksplit(1), tracktag(1), trackverify(1)

AUTHOR
Brian Langenberger